# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import gigs.models.gig_gallery


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('configs', '0001_initial'),
        ('masters', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Gig',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=100, unique=True)),
                ('is_approved', models.BooleanField(null=True)),
                ('approved_user', models.CharField(max_length=50, null=True)),
                ('approved_date', models.DateTimeField(null=True)),
                ('is_price_package', models.BooleanField(default=False)),
                ('description', models.CharField(max_length=2000)),
                ('total_views', models.IntegerField(null=True)),
                ('rating', models.IntegerField(null=True)),
                ('rated_no_of_records', models.IntegerField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('approved_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_approved_by', to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.Category')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('gig_status', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.GigStatus')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_modified_by', to=settings.AUTH_USER_MODEL)),
                ('sub_category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory')),
            ],
            options={
                'db_table': 'mst_gig',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=100)),
                ('is_approved', models.BooleanField(null=True)),
                ('approved_user', models.CharField(max_length=50, null=True)),
                ('approved_date', models.DateTimeField(null=True)),
                ('is_price_package', models.BooleanField(default=False)),
                ('description', models.CharField(max_length=2000)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('approved_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_draft_approved_by', to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.Category')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_draft_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_draft_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_status', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.GigStatus')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_draft_modified_by', to=settings.AUTH_USER_MODEL)),
                ('sub_category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory')),
            ],
            options={
                'db_table': 'mst_gig_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigPrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('price_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.PriceType')),
            ],
            options={
                'db_table': 'mst_gig_price',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigPriceDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('price_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.PriceType')),
            ],
            options={
                'db_table': 'mst_gig_price_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigRequirement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('is_mandatory', models.BooleanField(default=False)),
                ('question', models.CharField(max_length=4000)),
                ('is_multiselect', models.BooleanField(default=False)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('question_form', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.QuestionForm')),
            ],
            options={
                'db_table': 'mst_gig_requirement',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryMetaDataType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('is_single', models.BooleanField(null=True)),
                ('is_mandatory', models.BooleanField(null=True)),
                ('min_value', models.IntegerField(null=True)),
                ('max_value', models.IntegerField(null=True)),
                ('is_suggest_other', models.BooleanField(null=True)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataType')),
                ('sub_category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_metadata_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryMetaDataTypeDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('is_single', models.BooleanField(null=True)),
                ('is_mandatory', models.BooleanField(null=True)),
                ('min_value', models.IntegerField(null=True)),
                ('max_value', models.IntegerField(null=True)),
                ('is_suggest_other', models.BooleanField(null=True)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataType')),
                ('sub_category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_metadata_type_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserFavouriteGigs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
            ],
            options={
                'db_table': 'user_favourite_gig',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryPriceDetailsDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('value', models.CharField(max_length=200)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('gig_price_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigPriceDraft')),
                ('sub_category_price_scope', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScope')),
                ('sub_category_price_scope_dtl', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScopeDetails')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_price_dtl_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryPriceDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('value', models.CharField(max_length=200)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_price', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigPrice')),
                ('sub_category_price_scope', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScope')),
                ('sub_category_price_scope_dtl', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScopeDetails')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_price_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryMetaDataTypeOtherDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('other', models.CharField(max_length=100)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('gig_sub_category_metadata_type_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigSubCategoryMetaDataTypeDraft')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_metadata_type_other_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryMetaDataTypeOther',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('other', models.CharField(max_length=100)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('sub_category_metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigSubCategoryMetaDataType')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_metadata_type_other',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryMetaDataTypeDraftDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('gig_sub_category_metadata_type_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigSubCategoryMetaDataTypeDraft')),
                ('metadata_type_dtl', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataTypeDetails')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_metadata_type_dtl_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSubCategoryMetaDataTypeDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('metadata_type_dtl', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataTypeDetails')),
                ('sub_category_metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigSubCategoryMetaDataType')),
            ],
            options={
                'db_table': 'mst_gig_sub_category_metadata_type_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSearchTagDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('search_tags', models.CharField(max_length=2000, null=True)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
            ],
            options={
                'db_table': 'mst_gig_search_tag_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigSearchTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('search_tags', models.CharField(max_length=2000, null=True)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
            ],
            options={
                'db_table': 'mst_gig_search_tag',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigRequirementDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('is_mandatory', models.BooleanField(default=False)),
                ('question', models.CharField(max_length=4000)),
                ('is_multiselect', models.BooleanField(default=False)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('question_form', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.QuestionForm')),
            ],
            options={
                'db_table': 'mst_gig_requirement_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigRequirementDetailsDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('description', models.CharField(max_length=100)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('gig_requirement_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigRequirementDraft')),
            ],
            options={
                'db_table': 'mst_gig_requirement_dtl_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigRequirementDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('description', models.CharField(max_length=1000)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_requirement', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigRequirement')),
            ],
            options={
                'db_table': 'mst_gig_requirement_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigPriceExtraServiceDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('extra_price', models.DecimalField(decimal_places=2, max_digits=9, null=True)),
                ('extra_day', models.IntegerField(null=True)),
                ('extra_days', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.ExtraDays')),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('price_extra_service', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.PriceExtraService')),
                ('price_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.PriceType')),
            ],
            options={
                'db_table': 'mst_gig_price_extra_service_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigPriceExtraServiceCustomDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=100)),
                ('extra_price', models.DecimalField(decimal_places=2, max_digits=9, null=True)),
                ('extra_day', models.IntegerField(null=True)),
                ('extra_days', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.ExtraDays')),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
            ],
            options={
                'db_table': 'mst_gig_price_extra_service_custom_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigPriceExtraServiceCustom',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=100)),
                ('extra_price', models.DecimalField(decimal_places=2, max_digits=9, null=True)),
                ('extra_day', models.IntegerField(null=True)),
                ('extra_days', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.ExtraDays')),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
            ],
            options={
                'db_table': 'mst_gig_price_extra_service_custom',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigPriceExtraService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('extra_price', models.DecimalField(decimal_places=2, max_digits=9, null=True)),
                ('extra_day', models.IntegerField(null=True)),
                ('extra_days', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.ExtraDays')),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('price_extra_service', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.PriceExtraService')),
                ('price_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.PriceType')),
            ],
            options={
                'db_table': 'mst_gig_price_extra_service',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('gig_status', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.GigStatus')),
            ],
            options={
                'db_table': 'gig_log',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigLastVisited',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'gig_last_visited',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigGalleryDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('file_path', models.FileField(upload_to=gigs.models.gig_gallery.gig_gallery_file_path)),
                ('file_path_thumbnail', models.FileField(upload_to=gigs.models.gig_gallery.gig_gallery_file_path_thumbnail)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
                ('gig_gallery_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.GigGalleryType')),
            ],
            options={
                'db_table': 'mst_gig_gallery_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigGallery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('file_path', models.FileField(upload_to=gigs.models.gig_gallery.gig_gallery_file_path)),
                ('file_path_thumbnail', models.FileField(upload_to=gigs.models.gig_gallery.gig_gallery_file_path_thumbnail)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_gallery_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.GigGalleryType')),
            ],
            options={
                'db_table': 'mst_gig_gallery',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigFaqDraft',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('question', models.CharField(max_length=200)),
                ('answer', models.CharField(max_length=300)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('gig_draft', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.GigDraft')),
            ],
            options={
                'db_table': 'mst_gig_faq_draft',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigFaq',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('question', models.CharField(max_length=200)),
                ('answer', models.CharField(max_length=300)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
            ],
            options={
                'db_table': 'mst_gig_faq',
                'default_permissions': (),
            },
        ),
    ]
